kkeybutton.h
/* This file is part of the KDE libraries
Copyright (C) 2001, 2002 Ellis Whitehead <ellis@kde.org>
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB. If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
*/
#ifndef _KKEYBUTTON_H_
#define _KKEYBUTTON_H_
#include <qpushbutton.h>
#include <kshortcut.h>
class KDEUI_EXPORT KKeyButton: public QPushButton
{
Q_OBJECT
public:
KKeyButton( QWidget *parent = 0, const char *name = 0 );
virtual ~KKeyButton();
void setShortcut( const KShortcut& cut ) KDE_DEPRECATED;
void setShortcut( const KShortcut& cut, bool bQtShortcut );
const KShortcut& shortcut() const
{ return m_cut; }
void setText( const QString& text );
signals:
void capturedShortcut( const KShortcut& );
public slots:
void captureShortcut();
protected:
KShortcut m_cut;
bool m_bEditing;
void drawButton( QPainter* _painter );
protected:
virtual void virtual_hook( int id, void* data );
private:
class KKeyButtonPrivate* d;
};
#endif
KKeyButton
A push button that looks like a keyboard key.
Definition: kkeybutton.h:40
KShortcut

KDE Home | KDE Accessibility Home | Description of Access Keys